﻿function NF_SlashCommand(msg)
	NotifierOptions:Hide();
	if ( msg == "help" or msg == "" ) then
	NotifierOptions:Show();
	else end
end

function NF_OnLoad()
	this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
	this:RegisterEvent("VARIABLES_LOADED");

	SLASH_NF1 = "/notifier";
	SLASH_NF2 = "/nf"

	SlashCmdList["NF"] = NF_SlashCommand;
end

function NF_OnEvent(self, event, ...)
	if( event == "VARIABLES_LOADED" ) then
		DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_WELCOME);
		if (not NF) then
			NF = {};
		end
		if (not NF.on) then
			NF.on = 1;	
		end	
		if (not NF.messageon) then
			NF.messageon = 1;
		end		
		if (not NF.soundon) then
			NF.soundon = 1;
		end
	end
	
	if (not NF.on or NF.on == 0) then
		return;
	end

	if( event == "COMBAT_LOG_EVENT_UNFILTERED" ) then
		local _, type, _, sourceName, _, _, _, _ = select(1, ...);
		local playerName,_ = UnitName("player");
		if( playerName ~= sourceName ) then
			return;
		end
		NF_Parse(event, type, ...);	
	end
end

function NF_Parse(event, type, ...)

	if (not arg1) then
		return;
	end

	if (type == "SPELL_AURA_APPLIED" ) then local _,spellName,_ = select(9, ...)
		if( spellName == NF_BACKL ) then NF_AlertBACKL(); end end
	if (type == "SPELL_AURA_APPLIED" ) then local _,spellName,_ = select(9, ...)
		if( spellName == NF_BACKD ) then NF_AlertBACKD(); end end
	if (type == "SPELL_AURA_APPLIED" ) then local _,spellName,_ = select(9, ...)
		if( spellName == NF_ERADI ) then NF_AlertERADI(); end end
end

function NF_AlertBACKL()
	if ( NF.on == 1 ) then if (NF.soundon == 1) then
			PlaySoundFile("Interface\\AddOns\\Notifier\\Sounds\\backlash.wav"); end if (NF.messageon == 1) then NotifierMessageFrame:AddMessage((NF_BACKL), 1, 1, 1, 1, 1); end end
end

function NF_AlertBACKD()
	if ( NF.on == 1 ) then if (NF.soundon == 1) then
			PlaySoundFile("Interface\\AddOns\\Notifier\\Sounds\\backdraft.wav"); end if (NF.messageon == 1) then NotifierMessageFrame:AddMessage((NF_BACKD), 1, 1, 1, 1, 1); end end
end
	
function NF_AlertERADI()
	if ( NF.on == 1 ) then if (NF.soundon == 1) then
			PlaySoundFile("Interface\\AddOns\\Notifier\\Sounds\\eradication.wav"); end if (NF.messageon == 1) then NotifierMessageFrame:AddMessage((NF_ERADI), 1, 1, 1, 1, 1); end end	
end


function NF_OnOff()
	if ( NF.on == 0 ) then NF.on = 1; DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_STON); else
		NF.on = 0; DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_STOFF);
	end
end

function NF_SoundOnOff()
	if ( NF.soundon == 0 ) then NF.soundon = 1;
		DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_STON);
	else
		NF.soundon = 0;
		DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_STOFF);
	end
end

function NF_MessageOnOff()
	if ( NF.messageon == 0 ) then NF.messageon = 1;
		DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_STON);
	else
		NF.messageon = 0;
		DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_STOFF);
	end
end

function NF_Status()
	if ( NF.on == 1 ) then DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_STON);
	else DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_STOFF);
	end
	if ( NF.messageon == 1 ) then DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_STON);
	else DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_STOFF);
	end
	if ( NF.soundon == 1 ) then DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_STON);
	else DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_STOFF);
	end
end
